/api/v3/iterations/enable
Enables Iterations for the current workspace
No Content
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/iterations/enable
/api/v3/iterations/{iteration-public-id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| iteration-public-id | path | required | integer | The unique ID of the Iteration. |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/iterations/{iteration-public-id}
/api/v3/iterations/{iteration-public-id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| iteration-public-id | path | required | integer | The unique ID of the Iteration. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/iterations/{iteration-public-id}
/api/v3/iterations/{iteration-public-id}
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| iteration-public-id | path | required | integer | The unique ID of the Iteration. |
application/json
UpdateIteration
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| labels | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| end_date | string | optional |
| group_ids | array | optional |
| start_date | string | optional |
| description | string | optional |
| follower_ids | array | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/iterations/{iteration-public-id}
/api/v3/iterations/{iteration-public-id}/stories
Get a list of all Stories in an Iteration.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| iteration-public-id | path | required | integer | The unique ID of the Iteration. |
| includes_description | query | optional | boolean | A true/false boolean indicating whether to return Stories with their descriptions. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/iterations/{iteration-public-id}/stories
/api/v3/key-results/{key-result-public-id}
Get Key Result returns information about a chosen Key Result.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| key-result-public-id | path | required | string | The ID of the Key Result. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/key-results/{key-result-public-id}
/api/v3/key-results/{key-result-public-id}
Update Key Result allows updating a Key Result’s name or initial, observed, or target values.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| key-result-public-id | path | required | string | The ID of the Key Result. |
application/json
UpdateKeyResult
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| target_value | object | optional |
| └ boolean_value | boolean | optional |
| └ numeric_value | string | optional |
| observed_value | object | optional |
| └ boolean_value | boolean | optional |
| └ numeric_value | string | optional |
| initial_observed_value | object | optional |
| └ boolean_value | boolean | optional |
| └ numeric_value | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/key-results/{key-result-public-id}
/api/v3/labels
List Labels returns a list of all Labels and their attributes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| slim | query | optional | boolean | A true/false boolean indicating if the slim versions of the Label should be returned. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/labels
/api/v3/labels
Create Label allows you to create a new Label in Shortcut.
Request parameters for creating a Label on a Shortcut Story.
application/json
CreateLabelParams
| Property | Type | Required |
|---|---|---|
| name | string | required |
| color | string | optional |
| description | string | optional |
| external_id | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/labels
/api/v3/labels/{label-public-id}
Delete Label can be used to delete any Label.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| label-public-id | path | required | integer | The unique ID of the Label. |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/labels/{label-public-id}
/api/v3/labels/{label-public-id}
Get Label returns information about the selected Label.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| label-public-id | path | required | integer | The unique ID of the Label. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/labels/{label-public-id}
/api/v3/labels/{label-public-id}
Update Label allows you to replace a Label name with another name. If you try to name a Label something that already exists, you will receive a 422 response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| label-public-id | path | required | integer | The unique ID of the Label you wish to update. |
application/json
UpdateLabel
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| color | string | optional |
| archived | boolean | optional |
| description | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/labels/{label-public-id}
/api/v3/labels/{label-public-id}/stories
List all of the Stories with the Label.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| label-public-id | path | required | integer | The unique ID of the Label. |
| includes_description | query | optional | boolean | A true/false boolean indicating whether to return Stories with their descriptions. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/labels/{label-public-id}/stories
/api/v3/member
Returns information about the authenticated member.
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/member
/api/v3/members
Returns information about members of the Workspace.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| org-public-id | query | optional | string | The unique ID of the Organization to limit the list to. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/members
/api/v3/members/{member-public-id}
Returns information about a Member.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| member-public-id | path | required | string | The Member’s unique ID. |
| org-public-id | query | optional | string | The unique ID of the Organization to limit the lookup to. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/members/{member-public-id}
/api/v3/milestones
List Milestones returns a list of all Milestones and their attributes.
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/milestones
/api/v3/milestones
Create Milestone allows you to create a new Milestone in Shortcut.
application/json
CreateMilestone
| Property | Type | Required |
|---|---|---|
| name | string | required |
| state | string | optional |
| categories | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ external_id | string | optional |
| description | string | optional |
| started_at_override | string | optional |
| completed_at_override | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/milestones
/api/v3/milestones/{milestone-public-id}
Delete Milestone can be used to delete any Milestone.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| milestone-public-id | path | required | integer | The ID of the Milestone. |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/milestones/{milestone-public-id}
/api/v3/milestones/{milestone-public-id}
Get Milestone returns information about a chosen Milestone.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| milestone-public-id | path | required | integer | The ID of the Milestone. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/milestones/{milestone-public-id}
/api/v3/milestones/{milestone-public-id}
Update Milestone can be used to update Milestone properties.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| milestone-public-id | path | required | integer | The ID of the Milestone. |
application/json
UpdateMilestone
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| state | string | optional |
| after_id | integer | optional |
| archived | boolean | optional |
| before_id | integer | optional |
| categories | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ external_id | string | optional |
| description | string | optional |
| started_at_override | string | optional |
| completed_at_override | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/milestones/{milestone-public-id}
/api/v3/objectives
List Objectives returns a list of all Objectives and their attributes.
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/objectives
/api/v3/objectives
Create Objective allows you to create a new Objective in Shortcut.
application/json
CreateObjective
| Property | Type | Required |
|---|---|---|
| name | string | required |
| state | string | optional |
| categories | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ external_id | string | optional |
| description | string | optional |
| started_at_override | string | optional |
| completed_at_override | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/objectives
/api/v3/objectives/{objective-public-id}
Delete Objective can be used to delete any Objective.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objective-public-id | path | required | integer | The ID of the Objective. |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/objectives/{objective-public-id}
/api/v3/objectives/{objective-public-id}
Get Objective returns information about a chosen Objective.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objective-public-id | path | required | integer | The ID of the Objective. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/objectives/{objective-public-id}
/api/v3/objectives/{objective-public-id}
Update Objective can be used to update Objective properties.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| objective-public-id | path | required | integer | The ID of the Objective. |
application/json
UpdateObjective
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| state | string | optional |
| after_id | integer | optional |
| archived | boolean | optional |
| before_id | integer | optional |
| categories | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ external_id | string | optional |
| description | string | optional |
| started_at_override | string | optional |
| completed_at_override | string | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/objectives/{objective-public-id}
/api/v3/projects
List Projects returns a list of all Projects and their attributes.
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/projects
/api/v3/projects
Create Project is used to create a new Shortcut Project.
application/json
CreateProject
| Property | Type | Required |
|---|---|---|
| name | string | required |
| color | string | optional |
| team_id | integer | required |
| created_at | string | optional |
| start_time | string | optional |
| updated_at | string | optional |
| description | string | optional |
| external_id | string | optional |
| abbreviation | string | optional |
| follower_ids | array | optional |
| iteration_length | integer | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/projects
/api/v3/projects/{project-public-id}
Delete Project can be used to delete a Project. Projects can only be deleted if all associated Stories are moved or deleted. In the case that the Project cannot be deleted, you will receive a 422 response.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project-public-id | path | required | integer | The unique ID of the Project. |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/projects/{project-public-id}
/api/v3/projects/{project-public-id}
Get Project returns information about the selected Project.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project-public-id | path | required | integer | The unique ID of the Project. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/projects/{project-public-id}
/api/v3/projects/{project-public-id}
Update Project can be used to change properties of a Project.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project-public-id | path | required | integer | The unique ID of the Project. |
application/json
UpdateProject
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| color | string | optional |
| team_id | integer | optional |
| archived | boolean | optional |
| description | string | optional |
| abbreviation | string | optional |
| follower_ids | array | optional |
| show_thermometer | boolean | optional |
| days_to_thermometer | integer | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/projects/{project-public-id}
/api/v3/projects/{project-public-id}/stories
List Stories returns a list of all Stories in a selected Project and their attributes.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| project-public-id | path | required | integer | The unique ID of the Project. |
| includes_description | query | optional | boolean | A true/false boolean indicating whether to return Stories with their descriptions. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/projects/{project-public-id}/stories
/api/v3/repositories
List Repositories returns a list of all Repositories and their attributes.
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/repositories
/api/v3/repositories/{repo-public-id}
Get Repository returns information about the selected Repository.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| repo-public-id | path | required | integer | The unique ID of the Repository. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/repositories/{repo-public-id}
/api/v3/search
Search lets you search Epics and Stories based on desired parameters. Since ordering of the results can change over time (due to search ranking decay, new Epics and Stories being created), the next value from the previous response can be used as the path and query string for the next page to ensure stable ordering.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| query | query | required | string | See our help center article on search operators |
| page_size | query | optional | integer | The number of search results to include in a page. Minimum of 1 and maximum of 25. |
| detail | query | optional | string | The amount of detail included in each result item. |
| next | query | optional | string | The next page token. |
| entity_types | query | optional | array | A collection of entity_types to search. Defaults to story and epic. Supports: epic, iteration, objective, story. |
Resource
Either: (1) Schema mismatch or (2) Maximum of 1000 search results exceeded
Resource does not exist
Unprocessable
GET /api/v3/search
/api/v3/search/iterations
Search Iterations lets you search Iterations based on desired parameters. Since ordering of results can change over time (due to search ranking decay, new Iterations being created), the next value from the previous response can be used as the path and query string for the next page to ensure stable ordering.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| query | query | required | string | See our help center article on search operators |
| page_size | query | optional | integer | The number of search results to include in a page. Minimum of 1 and maximum of 25. |
| detail | query | optional | string | The amount of detail included in each result item. |
| next | query | optional | string | The next page token. |
| entity_types | query | optional | array | A collection of entity_types to search. Defaults to story and epic. Supports: epic, iteration, objective, story. |
Resource
Either: (1) Schema mismatch or (2) Maximum of 1000 search results exceeded
Resource does not exist
Unprocessable
GET /api/v3/search/iterations
/api/v3/search/milestones
Search Milestones lets you search Milestones based on desired parameters. Since ordering of results can change over time (due to search ranking decay, new Milestones being created), the next value from the previous response can be used as the path and query string for the next page to ensure stable ordering.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| query | query | required | string | See our help center article on search operators |
| page_size | query | optional | integer | The number of search results to include in a page. Minimum of 1 and maximum of 25. |
| detail | query | optional | string | The amount of detail included in each result item. |
| next | query | optional | string | The next page token. |
| entity_types | query | optional | array | A collection of entity_types to search. Defaults to story and epic. Supports: epic, iteration, objective, story. |
Resource
Either: (1) Schema mismatch or (2) Maximum of 1000 search results exceeded
Resource does not exist
Unprocessable
GET /api/v3/search/milestones
/api/v3/search/objectives
Search Objectives lets you search Objectives based on desired parameters. Since ordering of results can change over time (due to search ranking decay, new Objectives being created), the next value from the previous response can be used as the path and query string for the next page to ensure stable ordering.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| query | query | required | string | See our help center article on search operators |
| page_size | query | optional | integer | The number of search results to include in a page. Minimum of 1 and maximum of 25. |
| detail | query | optional | string | The amount of detail included in each result item. |
| next | query | optional | string | The next page token. |
| entity_types | query | optional | array | A collection of entity_types to search. Defaults to story and epic. Supports: epic, iteration, objective, story. |
Resource
Either: (1) Schema mismatch or (2) Maximum of 1000 search results exceeded
Resource does not exist
Unprocessable
GET /api/v3/search/objectives
/api/v3/search/stories
Search Stories lets you search Stories based on desired parameters. Since ordering of stories can change over time (due to search ranking decay, new stories being created), the next value from the previous response can be used as the path and query string for the next page to ensure stable ordering.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| query | query | required | string | See our help center article on search operators |
| page_size | query | optional | integer | The number of search results to include in a page. Minimum of 1 and maximum of 25. |
| detail | query | optional | string | The amount of detail included in each result item. |
| next | query | optional | string | The next page token. |
| entity_types | query | optional | array | A collection of entity_types to search. Defaults to story and epic. Supports: epic, iteration, objective, story. |
Resource
Either: (1) Schema mismatch or (2) Maximum of 1000 search results exceeded
Resource does not exist
Unprocessable
GET /api/v3/search/stories
/api/v3/stories/search
Search Stories lets you search Stories based on desired parameters.
application/json
SearchStories
| Property | Type | Required |
|---|---|---|
| epic_id | integer | optional |
| archived | boolean | optional |
| epic_ids | array | optional |
| estimate | integer | optional |
| group_id | string | optional |
| owner_id | string | optional |
| group_ids | array | optional |
| label_ids | array | optional |
| owner_ids | array | optional |
| label_name | string | optional |
| project_id | integer | optional |
| story_type | string | optional |
| external_id | string | optional |
| project_ids | array | optional |
| deadline_end | string | optional |
| iteration_id | integer | optional |
| iteration_ids | array | optional |
| created_at_end | string | optional |
| deadline_start | string | optional |
| updated_at_end | string | optional |
| …8 more | object | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/stories/search
/api/v3/entity-templates/disable
Disables the Story Template feature for the Workspace.
No Content
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/entity-templates/disable
/api/v3/entity-templates/enable
Enables the Story Template feature for the Workspace.
No Content
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/entity-templates/enable
/api/v3/stories
Create Story is used to add a new story to your Shortcut Workspace.
Request parameters for creating a story.
application/json
CreateStoryParams
| Property | Type | Required |
|---|---|---|
| name | string | required |
| tasks | array | optional |
| └ complete | boolean | optional |
| └ owner_ids | array | optional |
| └ created_at | string | optional |
| └ updated_at | string | optional |
| └ description | string | required |
| └ external_id | string | optional |
| labels | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| epic_id | integer | optional |
| move_to | string | optional |
| archived | boolean | optional |
| comments | array | optional |
| └ text | string | required |
| └ author_id | string | optional |
| └ parent_id | integer | optional |
| └ created_at | string | optional |
| └ updated_at | string | optional |
| └ external_id | string | optional |
| deadline | string | optional |
| estimate | integer | optional |
| file_ids | array | optional |
| group_id | string | optional |
| owner_ids | array | optional |
| created_at | string | optional |
| project_id | integer | optional |
| story_type | string | optional |
| updated_at | string | optional |
| description | string | optional |
| external_id | string | optional |
| story_links | array | optional |
| └ verb | string | required |
| └ object_id | integer | optional |
| └ subject_id | integer | optional |
| follower_ids | array | optional |
| …9 more | object | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/stories
/api/v3/stories/bulk
Delete Multiple Stories allows you to delete multiple archived stories at once.
application/json
DeleteStories
| Property | Type | Required |
|---|---|---|
| story_ids | array | required |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/stories/bulk
/api/v3/stories/bulk
Create Multiple Stories allows you to create multiple stories in a single request using the same syntax as Create Story.
application/json
CreateStories
| Property | Type | Required |
|---|---|---|
| stories | array | required |
| └ name | string | required |
| └ tasks | array | optional |
| └ complete | boolean | optional |
| └ owner_ids | array | optional |
| └ created_at | string | optional |
| └ updated_at | string | optional |
| └ description | string | required |
| └ external_id | string | optional |
| └ labels | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| └ epic_id | integer | optional |
| └ move_to | string | optional |
| └ archived | boolean | optional |
| └ comments | array | optional |
| └ text | string | required |
| └ author_id | string | optional |
| └ parent_id | integer | optional |
| └ created_at | string | optional |
| └ updated_at | string | optional |
| └ external_id | string | optional |
| └ deadline | string | optional |
| └ estimate | integer | optional |
| └ file_ids | array | optional |
| └ group_id | string | optional |
| └ owner_ids | array | optional |
| └ created_at | string | optional |
| └ project_id | integer | optional |
| └ story_type | string | optional |
| └ updated_at | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| └ story_links | array | optional |
| └ verb | string | required |
| └ object_id | integer | optional |
| └ subject_id | integer | optional |
| └ follower_ids | array | optional |
| └ …9 more | object | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/stories/bulk
/api/v3/stories/bulk
Update Multiple Stories allows you to make changes to numerous stories at once.
application/json
UpdateStories
| Property | Type | Required |
|---|---|---|
| epic_id | integer | optional |
| move_to | string | optional |
| after_id | integer | optional |
| archived | boolean | optional |
| deadline | string | optional |
| estimate | integer | optional |
| group_id | string | optional |
| before_id | integer | optional |
| story_ids | array | required |
| labels_add | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| project_id | integer | optional |
| story_type | string | optional |
| iteration_id | integer | optional |
| labels_remove | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| owner_ids_add | array | optional |
| external_links | array | optional |
| requested_by_id | string | optional |
| follower_ids_add | array | optional |
| owner_ids_remove | array | optional |
| custom_fields_add | array | optional |
| └ value | string | optional |
| └ field_id | string | required |
| └ value_id | string | required |
| …3 more | object | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/stories/bulk
/api/v3/stories/from-template
Create Story From Template is used to add a new story derived from a template to your Shortcut Workspace.
Request parameters for creating a story from a story template. These parameters are merged with the values derived from the template.
application/json
CreateStoryFromTemplateParams
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| tasks | array | optional |
| └ complete | boolean | optional |
| └ owner_ids | array | optional |
| └ created_at | string | optional |
| └ updated_at | string | optional |
| └ description | string | required |
| └ external_id | string | optional |
| labels | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| epic_id | integer | optional |
| move_to | string | optional |
| archived | boolean | optional |
| comments | array | optional |
| └ text | string | required |
| └ author_id | string | optional |
| └ parent_id | integer | optional |
| └ created_at | string | optional |
| └ updated_at | string | optional |
| └ external_id | string | optional |
| deadline | string | optional |
| estimate | integer | optional |
| file_ids | array | optional |
| group_id | string | optional |
| owner_ids | array | optional |
| created_at | string | optional |
| labels_add | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| project_id | integer | optional |
| story_type | string | optional |
| updated_at | string | optional |
| description | string | optional |
| external_id | string | optional |
| story_links | array | optional |
| └ verb | string | required |
| └ object_id | integer | optional |
| └ subject_id | integer | optional |
| …23 more | object | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
POST /api/v3/stories/from-template
/api/v3/stories/{story-public-id}
Delete Story can be used to delete any Story.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| story-public-id | path | required | integer | The ID of the Story. |
No Content
Schema mismatch
Resource does not exist
Unprocessable
DELETE /api/v3/stories/{story-public-id}
/api/v3/stories/{story-public-id}
Get Story returns information about a chosen Story.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| story-public-id | path | required | integer | The ID of the Story. |
Resource
Schema mismatch
Resource does not exist
Unprocessable
GET /api/v3/stories/{story-public-id}
/api/v3/stories/{story-public-id}
Update Story can be used to update Story properties.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| story-public-id | path | required | integer | The unique identifier of this story. |
application/json
UpdateStory
| Property | Type | Required |
|---|---|---|
| name | string | optional |
| labels | array | optional |
| └ name | string | required |
| └ color | string | optional |
| └ description | string | optional |
| └ external_id | string | optional |
| epic_id | integer | optional |
| move_to | string | optional |
| after_id | integer | optional |
| archived | boolean | optional |
| deadline | string | optional |
| estimate | integer | optional |
| file_ids | array | optional |
| group_id | string | optional |
| before_id | integer | optional |
| owner_ids | array | optional |
| branch_ids | array | optional |
| commit_ids | array | optional |
| project_id | integer | optional |
| story_type | string | optional |
| description | string | optional |
| follower_ids | array | optional |
| iteration_id | integer | optional |
| custom_fields | array | optional |
| └ value | string | optional |
| └ field_id | string | required |
| └ value_id | string | required |
| …7 more | object | optional |
Resource
Schema mismatch
Resource does not exist
Unprocessable
PUT /api/v3/stories/{story-public-id}